LoggingControllerGenerateDownloadFile Method |
POST /Logging/Download/
Generates the download file for the logs.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Download")]
public IActionResult GenerateDownloadFile(
[FromBodyAttribute] GetLogEntriesOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Download")>
Public Function GenerateDownloadFile (
<FromBodyAttribute> options As GetLogEntriesOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Download")]
IActionResult^ GenerateDownloadFile(
[FromBodyAttribute] GetLogEntriesOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Download")>]
member GenerateDownloadFile :
[<FromBodyAttribute>] options : GetLogEntriesOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetLogEntriesOptions
An object that carries all need information about the log entries that are going to be downloaded. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success and a
Guid corresponding to the file name, or a failure reason.
See Also